# $Revision: 1.15 $, $Date: 2008/07/27 22:39:48 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Lingua
%define		pnam	Stem-It
Summary:	Lingua::Stem::It - Porter's stemming algorithm for Italian
Summary(pl.UTF-8):	Lingua::Stem::It - algorytm Portera określający rdzenie słów dla języka włoskiego
Name:		perl-Lingua-Stem-It
Version:	0.02
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Lingua/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	611ec6d600f1280aa6c510c83b7bc4a2
URL:		http://search.cpan.org/dist/Lingua-Stem-It/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module applies the Porter Stemming Algorithm to its parameters,
returning the stemmed words.

The algorithm is implemented exactly as described in:
http://snowball.tartarus.org/italian/stemmer.html .

%description -l pl.UTF-8
Ten moduł stosuje do swoich parametrów algorytm Portera określający
rdzenie słów, zwracając te rdzenie.

Zaimplementowany został algorytm opisany na stronie:
http://snowball.tartarus.org/italian/stemmer.html .

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Lingua/Stem/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Lingua-Stem-It.spec,v $
Revision 1.15  2008/07/27 22:39:48  arekm
- release 2

Revision 1.14  2007-12-24 17:35:18  qboosh
- generic URL

Revision 1.13  2007-12-24 02:17:39  zbyniu
- up to 0.02

Revision 1.12  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.10  2004/11/03 22:30:30  paladine
- formatting

Revision 1.9  2004/05/09 05:31:53  ankry
- BR fixes, rel. 3

Revision 1.8  2004/04/25 06:25:08  ankry
- cosmetics: unification

Revision 1.7  2004/04/22 15:01:17  ankry
- license fixes and unification

Revision 1.6  2004/04/20 23:59:32  ankry
- ported to new bconds

Revision 1.5  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.4  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:24:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/14 23:52:48  ankry
- should be ready for perl-5.8
- rel. 2

Revision 1.1  2003/04/13 19:57:30  ankry
- new, for ra
